<template>
    <div class="card-media">
        <div class="card-media__preview">
            <a 
            :class="getClassCard" 
            :href="getLinkCard"
            target="_blank"
            >
                <!-- <img :src="item.img.url" :alt="item.title"> -->
                <img :src="item.img.sizes.medium" :alt="item.title">
            </a>
        </div>
        <div class="card-media__info">
            <h3 class="card-media__title">{{ item.title }}</h3>
            <p class="card-media__text" v-if="item.text">{{ item.text }}</p>
        </div>
    </div>
</template>

<script>
export default {
    props: ['item'],
    computed: {
        getClassCard: function(){
            return {
                'card-media__link' : true,
                'card-media__link--video js-tingle-modal js-tingle-modal--video': this.item.link_type == 'video',
                'card-media__link--image js-tingle-modal js-tingle-modal--image': this.item.link_type == 'image'
            }
        },
        getLinkCard: function(){
            return this.item.link || this.item.img.sizes.large
            
        }
    },
}
</script>